Page MenuHomeFreeBSD

Update to various courier ports
ClosedPublic

Authored by madpilot on Apr 28 2015, 9:52 PM.

Details

Summary

Hi,

To update the devel/courier-unicode port I need to update various other courier ports, otherwise they would be broken.

Here is the whole patch. I'm seeking approval for this change from the maintainer.

I had to hack a few things in the courier-imap port, it was failing due to it trying to strip shell scripts. I also had to prevent it from installing those shell scripts to avoid a conflict with the maildrop port, which installs the same files. If preferred I could remove those files from maildrop and enable them in courier-imap.

I do run test courier-imap since I do use that.

I cannot run test sqwebmail right away, I'm not using it. If nobody can run test it I will need some time to test it too.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

madpilot updated this revision to Diff 5065.Apr 28 2015, 9:52 PM
madpilot retitled this revision from to Update to various courier ports.
madpilot updated this object.
madpilot edited the test plan for this revision. (Show Details)
madpilot added a reviewer: olivierd.
madpilot set the repository for this revision to rP FreeBSD ports repository.
madpilot edited reviewers, added: oliver; removed: olivierd.
madpilot updated this revision to Diff 5093.Apr 29 2015, 9:28 PM

Previous patch caused a problem at runtime which slipped me.

This patch modifies maildrop to not install the makedat program, and makes courier-imap install that, since it now needs it to correctly startup.

oliver accepted this revision.Apr 30 2015, 4:58 AM
oliver edited edge metadata.

looks fine for me!

This revision is now accepted and ready to land.Apr 30 2015, 4:58 AM
This revision was automatically updated to reflect the committed changes.